Public Class frmMsgBox
  Dim ButtonType As MessageBoxButtons
  Dim ButtonDefault As MessageBoxDefaultButton
  Dim IconType As MessageBoxIcon

  Private Sub btnShow_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnShow.Click
    'display message box
    Dim Rtn As DialogResult
    Dim Message As String
    Rtn = MessageBox.Show(txtMessage.Text, "Message Box Example", ButtonType, IconType, ButtonDefault)
    Select Case Rtn
      Case Windows.Forms.DialogResult.OK
        Message = "OK"
      Case Windows.Forms.DialogResult.Cancel
        Message = "Cancel"
      Case Windows.Forms.DialogResult.Abort
        Message = "Abort"
      Case Windows.Forms.DialogResult.Retry
        Message = "Retry"
      Case Windows.Forms.DialogResult.Ignore
        Message = "Ignore"
      Case Windows.Forms.DialogResult.Yes
        Message = "Yes"
      Case Windows.Forms.DialogResult.No
        Message = "No"
    End Select
    MessageBox.Show(Message + " Clicked", "Message Box Results", MessageBoxButtons.OK)
  End Sub

  Private Sub frmMsgBox_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    'click on radio buttons to initialize values
    rdoOK.PerformClick()
    rdoDefaultButton1.PerformClick()
    rdoNone.PerformClick()
  End Sub

  Private Sub rdoButton_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoOK.CheckedChanged, rdoOKCancel.CheckedChanged, rdoAbortRetryIgnore.CheckedChanged, rdoYesNoCancel.CheckedChanged, rdoYesNo.CheckedChanged, rdoRetryCancel.CheckedChanged
    Dim rdoButton As RadioButton
    rdoButton = CType(sender, RadioButton)
    Select Case rdoButton.Name
      Case "rdoOK"
        ButtonType = MessageBoxButtons.OK
      Case "rdoOKCancel"
        ButtonType = MessageBoxButtons.OKCancel
      Case "rdoAbortRetryIgnore"
        ButtonType = MessageBoxButtons.AbortRetryIgnore
      Case "rdoYesNoCancel"
        ButtonType = MessageBoxButtons.YesNoCancel
      Case "rdoYesNo"
        ButtonType = MessageBoxButtons.YesNo
      Case "rdoRetryCancel"
        ButtonType = MessageBoxButtons.RetryCancel
    End Select
  End Sub
  Private Sub rdoDefault_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoDefaultButton1.CheckedChanged, rdoDefaultButton2.CheckedChanged, rdoDefaultButton3.CheckedChanged
    Dim rdoDefault As RadioButton
    rdoDefault = CType(sender, RadioButton)
    Select Case rdoDefault.Name
      Case "rdoButton1"
        ButtonDefault = MessageBoxDefaultButton.Button1
      Case "rdoButton2"
        ButtonDefault = MessageBoxDefaultButton.Button2
      Case "rdoButton3"
        ButtonDefault = MessageBoxDefaultButton.Button3
    End Select
  End Sub
  Private Sub rdoIcon_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoNone.CheckedChanged, rdoError.CheckedChanged, rdoExclamation.CheckedChanged, rdoInformation.CheckedChanged, rdoQuestion.CheckedChanged
    Dim rdoIcon As RadioButton
    rdoIcon = CType(sender, RadioButton)
    Select Case rdoIcon.Name
      Case "rdoNone"
        IconType = MessageBoxIcon.None
      Case "rdoError"
        IconType = MessageBoxIcon.Error
      Case "rdoExclamation"
        IconType = MessageBoxIcon.Exclamation
      Case "rdoInformation"
        IconType = MessageBoxIcon.Information
      Case "rdoQuestion"
        IconType = MessageBoxIcon.Question
    End Select
  End Sub

End Class
